package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WtgStopPlant;
import com.ruoyi.predict.mapper.WtgStopPlantMapper;
import com.ruoyi.predict.service.IWtgStopPlantService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WtgStopPlantService业务层处理
 *
 * @author hlf
 * @date 2021-12-21
 */
@Service
public class WtgStopPlantServiceImpl implements IWtgStopPlantService {
    @Autowired(required = false)
    private WtgStopPlantMapper wtgStopPlantMapper;

    /**
     * 查询WtgStopPlant
     *
     * @param windplantNo WtgStopPlantID
     * @return WtgStopPlant
     */
    @Override
    public WtgStopPlant selectWtgStopPlant(Long windplantNo, Long wturNo, Date dataTime) {
        return wtgStopPlantMapper.selectWtgStopPlantById(windplantNo, wturNo, dataTime);
    }

    /**
     * 查询WtgStopPlant列表
     *
     * @param wtgStopPlant WtgStopPlant
     * @return WtgStopPlant
     */
    @Override
    public List<WtgStopPlant> selectWtgStopPlantList(WtgStopPlant wtgStopPlant) {
        return wtgStopPlantMapper.selectWtgStopPlantList(wtgStopPlant);
    }

    /**
     * 新增WtgStopPlant
     *
     * @param wtgStopPlant WtgStopPlant
     * @return 结果
     */
    @Override
    public int insertWtgStopPlant(WtgStopPlant wtgStopPlant) {
        return wtgStopPlantMapper.insertWtgStopPlant(wtgStopPlant);
    }

    /**
     * 修改WtgStopPlant
     *
     * @param wtgStopPlant WtgStopPlant
     * @return 结果
     */
    @Override
    public int updateWtgStopPlant(WtgStopPlant wtgStopPlant) {
        return wtgStopPlantMapper.updateWtgStopPlant(wtgStopPlant);
    }

    /**
     * 删除WtgStopPlant信息
     *
     * @param windplantNo WtgStopPlantID
     * @return 结果
     */
    @Override
    public int deleteWtgStopPlantById(Long windplantNo) {
        return wtgStopPlantMapper.deleteWtgStopPlantById(windplantNo);
    }

    @Override
    public void insertWtgStopPlantList(List<WtgStopPlant> wtgStopPlantList) {
        wtgStopPlantMapper.insertWtgStopPlantList(wtgStopPlantList);
    }

    @Override
    public List<WtgStopPlant> selectWtgStopPlantByWindplantNo(Long windplantNo, Date dataTime) {
        return wtgStopPlantMapper.selectWtgStopPlantByWindplantNo(windplantNo, dataTime);
    }

    @Override
    public List<WtgStopPlant> selectWtgStopPlantByWturNo(Long windplantNo, Long wturNo, Date dataTime) {
        return wtgStopPlantMapper.selectWtgStopPlantByWturNo(windplantNo, wturNo, dataTime);
    }
}
